Subject: Re: updated tcatm patches for kernel/iproute 2.6.22

From: Patrick McHardy <[email-masked]>
Date: Thu, 19 Jul 2007 15:22:09 +0200

Sami Farin wrote:
> On Thu, Jul 19, 2007 at 00:58:44 +0200, Patrick McHardy wrote:
>   
>> Let me repeat again before we get in an endless discussion
>> again - I will NACK these patches until we have a solution
>> that works for all qdiscs.
>>     
>
> I googled for
> "Accurate packet scheduling for ATM" mchardy
> and found some threads from 2006.
>   
> http://www.mail-archive.com/[email-masked]/msg15706.html
> http://www.mail-archive.com/[email-masked]/msg21395.html
>
> So, Patrick:

Please keep me as receipient or CC when talking to me.

> 1) what is this "solution"?  do you have code?
>    or a brief explanation...

Simply calculcate the length including additional encapsulation
overhead at runtime. This allows all qdiscs to use the wire-length
in their calculations.

> 2) are you still working on this? is somebody else?
>   

Not to my knowledge.

> 3) do you have patches for iproute/kernel 2.6.22?

No.

> 4) if you have some patches, but they are not yet
>    complete, what else needs to be done?
>   

Not sure, its been a while since I posted some example patches.
Its not much work, probably quicker to start over.